/*      Copyright (C) 2002 Guillaume Bour
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *  
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *  
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
 *      MA 02111-1307, USA.
 */

#include <gtk/gtk.h>
#include "turtle.h"

turtle_init(void)
{
  struct s_turtle *turtle;

  // pen color
  (turtle->color).red = 0;
  (turtle->color).green = 0;
  (turtle->color).blue = 0;

  turtle->trace = TRUE;
  turtle->angle = 0.0;

  g_slist_free(turtle->instrs);
  turtle->instrs = NULL;
  g_slist_free(turtle->procedures);
  turtle->procedures = NULL;
}
