/**
 *  @file    execution.h
 *  @author  Guillaume Bour. 2002
 
 *  @version 0.1
 *    @date  12/02/2002

 *  drawings callbacks
 */
#ifndef _DRAWINGS_H_
#define _DRAWINGS_H_

#include <gtk/gtk.h>
#include "instr.h"

guint clb_noop(struct s_instr *);
guint clb_proccal(struct s_instr *);
guint clb_return(struct s_instr *);
guint clb_moveforward(struct s_instr *);
guint clb_moveback(struct s_instr *);
guint clb_turnright(struct s_instr *);
guint clb_turnleft(struct s_instr *);
guint clb_setpos(struct s_instr *);
guint clb_setheading(struct s_instr *);
guint clb_clearscreen(struct s_instr *);
guint clb_hideturtle(struct s_instr *);
guint clb_show_turtle(struct s_instr *);
guint clb_hidepen(struct s_instr *);
guint clb_showpen(struct s_instr *);
guint clb_setpredefcolor(struct s_instr *);
guint clb_setuserdefcolor(struct s_instr *);
guint clb_notrace(struct s_instr *);
guint clb_trace(struct s_instr *);
guint clb_write(struct s_instr *);
guint clb_stop(struct s_instr *);
guint clb_affect(struct s_instr *);
guint clb_locaffect(struct s_instr *);
guint clb_dance(struct s_instr *);
guint clb_sleep(struct s_instr *);
guint clb_getheading(struct s_instr *);
guint clb_hazard(struct s_instr *);
guint clb_repeat(struct s_instr *);
guint clb_loopcnt(struct s_instr *);
guint clb_if(struct s_instr *);
guint clb_else(struct s_instr *);
guint clb_while(struct s_instr *);
guint clb_jump(struct s_instr *);
guint clb_and(struct s_instr *);
guint clb_or(struct s_instr *);
guint clb_eq(struct s_instr *);
guint clb_lt(struct s_instr *);
guint clb_gt(struct s_instr *);
guint clb_leq(struct s_instr *);
guint clb_geq(struct s_instr *);
guint clb_add(struct s_instr *);
guint clb_sub(struct s_instr *);
guint clb_mul(struct s_instr *);
guint clb_div(struct s_instr *);
guint clb_uneg(struct s_instr *);

#endif /* _DRAWINGS_H_ */
