
#include <gtk/gtk.h>
//#include "lafontaine.h"
//#include "lafontaine_compile.h"
#include "turtle.h"
//#include "mc.h"

extern struct s_turtle my_turtle;

void lafontaine_init(GtkText *source, GtkText *debug, 
		     GtkDrawingArea *field, GtkNotebook *notebook,
		     GtkStatusbar *status)
{
  my_turtle.source_txt = GTK_WIDGET(source);
  my_turtle.debug_txt = GTK_WIDGET(debug);
  my_turtle.drawing_field = GTK_WIDGET(field);
  my_turtle.notebook = GTK_WIDGET(notebook);
  my_turtle.status = GTK_WIDGET(status);


  // we should place the turtle in the center of the drawing area,
  // pointing to 0h00
  my_turtle.x = 0;
  my_turtle.y = 0;
  my_turtle.angle = 0;

  my_turtle.delay = 0; //50000000
  my_turtle.trace = TRUE;

  //default pen color: black
  my_turtle.pencolor.red = 0;
  my_turtle.pencolor.green = 0;
  my_turtle.pencolor.blue = 0;
  my_turtle.language = LANG_ENGLISH;

  //  my_turtle.instructions = NULL;
  my_turtle.procedures = NULL;
  //  my_turtle.tds = NULL;
  /*  my_turtle.main_procedure = NULL;
      my_turtle.current_procedure = NULL;*/
  my_turtle.main_proc = NULL;
  my_turtle.cur_proc = NULL;


  //  my_turtle.gc = gdk_gc_new(my_turtle.pixmap);
  //  gdk_gc_set_foreground(my_turtle.gc, &(my_turtle.pencolor));
}
/*
void free_proc(gpointer a, gpointer nil)
{
  struct s_procedure *proc = (struct s_procedure *) a;

  g_string_free(proc->name, TRUE);
  g_slist_free(proc->instructions);
}
*/
//on "vide" la liste des instructions et des procdures
//avant une recompilation!!
//a faire proprement!!!
//void lafontaine_restart()
//{
  //!! ne pas supprimer la main_proc si elle existe
  //g_slist_free(turtle.instructions);
  /*  g_slist_foreach(my_turtle.procedures, free_proc, NULL);
  g_slist_free(my_turtle.procedures);
  my_turtle.instructions = NULL;
  my_turtle.procedures = NULL;
  my_turtle.main_procedure = NULL;
  my_turtle.current_procedure = NULL;

  if(my_turtle.main_procedure == NULL)
    {
      my_turtle.main_procedure = g_new(struct s_procedure, 1);
      (my_turtle.main_procedure)->name = g_string_new("");
      (my_turtle.main_procedure)->instructions = NULL;
      (my_turtle.main_procedure)->parameters = NULL;
      (my_turtle.main_procedure)->retval = NULL;

      my_turtle.current_procedure = my_turtle.main_procedure;
      
      my_turtle.procedures = g_slist_append(my_turtle.procedures, 
					 my_turtle.main_procedure);
					 }*/
//}

void lafontaine_set_pixmap(GdkPixmap *px)
{ my_turtle.pixmap = px; }

GdkPixmap *lafontaine_get_pixmap()
{ return(my_turtle.pixmap); }
